GuideLab API

Create a new patient

Create a new patient record. Clinics can only create patients for themselves. Labs can create patients for partnered clinics and automatically get lab access granted. Available to both labs and clinics.

POST
/patients

Create a new patient record. Clinics can only create patients for themselves. Labs can create patients for partnered clinics and automatically get lab access granted. Available to both labs and clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/patients" \  -H "Content-Type: application/json" \  -d '{    "clinicId": "string",    "firstName": "string",    "lastName": "string"  }'
{  "patient": {    "id": "string",    "clinicId": "string",    "firstName": "string",    "lastName": "string",    "fullName": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty
Empty
Empty